Package org.springframework.transaction

# Class TransactionTimedOutException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.transaction.TransactionException
org.springframework.transaction.TransactionTimedOutException

All Implemented Interfaces:
  `Serializable`

public class TransactionTimedOutException extends TransactionException
Exception to be thrown when a transaction has timed out.

Thrown by Spring's local transaction strategies if the deadline for a transaction has been reached when an operation is attempted, according to the timeout specified for the given transaction.

Beyond such checks before each transactional operation, Spring's local transaction strategies will also pass appropriate timeout values to resource operations (for example to JDBC Statements, letting the JDBC driver respect the timeout). Such operations will usually throw native resource exceptions (for example, JDBC SQLExceptions) if their operation timeout has been exceeded, to be converted to Spring's DataAccessException in the respective DAO (which might use Spring's JdbcTemplate, for example).

In a JTA environment, it is up to the JTA transaction coordinator to apply transaction timeouts. Usually, the corresponding JTA-aware connection pool will perform timeout checks and throw corresponding native resource exceptions (for example, JDBC SQLExceptions).

Since:
  1.1.5
Author:
  Juergen Hoeller
See Also:
  - `ResourceHolderSupport.getTimeToLiveInMillis()`
  - `Statement.setQueryTimeout(int)`
  - `SQLException`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`TransactionTimedOutException(String msg)`
Constructor for TransactionTimedOutException.
`TransactionTimedOutException(String msg, Throwable cause)`
Constructor for TransactionTimedOutException.

## Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TransactionTimedOutException

public TransactionTimedOutException(String msg)
Constructor for TransactionTimedOutException.

Parameters:
  `msg` - the detail message

### TransactionTimedOutException

public TransactionTimedOutException(String msg, Throwable cause)
Constructor for TransactionTimedOutException.

Parameters:
  `msg` - the detail message
  `cause` - the root cause from the transaction API in use